import { r as h, i as y, s as m, x as l, A as g, e as f } from "./query-assigned-elements-D930kELM.mjs";
import { n as i } from "./property-DJzm_oB9.mjs";
import { o as d } from "./class-map-DPUylGZM.mjs";
const v = ".subtext--trailing{display:flex;flex-direction:column-reverse}.subtext{display:flex;align-items:center;--mdc-icon-size: 16px;color:var(--mdc-theme-text-secondary-on-background);font-family:var(--mdc-typography-caption-font-family);font-size:var(--mdc-typography-caption-font-size);font-weight:var(--mdc-typography-caption-font-weight);line-height:var(--mdc-typography-caption-line-height);margin-bottom:2px}.subtext cv-icon{margin-right:8px}slot{font-family:var(--mdc-typography-body1-font-family);font-size:var(--mdc-typography-body1-font-size);font-weight:var(--mdc-typography-body1-font-weight);line-height:var(--mdc-typography-body1-line-height);margin-bottom:8px}.scale--large .subtext{--mdc-icon-size: 24px;font-family:var(--mdc-typography-body1-font-family);font-size:var(--mdc-typography-body1-font-size);font-weight:var(--mdc-typography-body1-font-weight);line-height:var(--mdc-typography-body1-line-height);margin-bottom:2px}.scale--large slot{font-family:var(--mdc-typography-headline4-font-family);font-size:var(--mdc-typography-headline4-font-size);font-weight:var(--mdc-typography-headline4-font-weight);line-height:var(--mdc-typography-headline4-line-height);margin-bottom:8px}.subtext-state--positive .subtext{color:var(--mdc-theme-positive)}.subtext-state--negative .subtext{color:var(--mdc-theme-negative)}.subtext-state--caution .subtext{color:var(--mdc-theme-caution)}.subtext-state--active .subtext{color:var(--mdc-theme-accent)}";
var u = Object.defineProperty, x = Object.getOwnPropertyDescriptor, a = (o, r, n, s) => {
  for (var e = s > 1 ? void 0 : s ? x(r, n) : r, c = o.length - 1, p; c >= 0; c--)
    (p = o[c]) && (e = (s ? p(r, n, e) : p(e)) || e);
  return s && e && u(r, n, e), e;
};
let t = class extends m {
  constructor() {
    super(...arguments), this.scale = "small", this.trailingSubText = !1;
  }
  render() {
    const o = {
      "subtext--trailing": this.trailingSubText
    };
    return o[`scale--${this.scale}`] = !0, this.state && (o[`subtext-state--${this.state}`] = !0), l`<span class="${d(o)}"
      ><span class="subtext">${this.renderIcon()}${this.subText}</span
      ><slot></slot
    ></span>`;
  }
  renderIcon() {
    return this.icon ? l`<cv-icon>${this.icon}</cv-icon>` : g;
  }
};
t.styles = [
  y`
      ${h(v)}
    `
];
a([
  i()
], t.prototype, "subText", 2);
a([
  i()
], t.prototype, "icon", 2);
a([
  i()
], t.prototype, "state", 2);
a([
  i()
], t.prototype, "scale", 2);
a([
  i({ type: Boolean, reflect: !0 })
], t.prototype, "trailingSubText", 2);
t = a([
  f("cv-text-lockup")
], t);
const $ = t;
export {
  t as CovalentTextLockup,
  $ as default
};
